- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiVolSolverInterface::OsiVolMatrixOneMinusOne_ Class Reference

List of all members.

## Public Member Functions
| OsiVolMatrixOneMinusOne_ (const CoinPackedMatrix &m)
| ~OsiVolMatrixOneMinusOne_ ()
void | timesMajor (const double *x, double *y) const
## Private Attributes
int | majorDim_
int | minorDim_
int | plusSize_
int * | plusInd_
int * | plusStart_
int * | plusLength_
int | minusSize_
int * | minusInd_
int * | minusStart_
int * | minusLength_

## Detailed Description

Definition at line 29 of file OsiVolSolverInterface.hpp.

## Constructor & Destructor Documentation

OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::OsiVolMatrixOneMinusOne_ | ( | const CoinPackedMatrix & | m | ) |

OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::~OsiVolMatrixOneMinusOne_ | ( |  | ) |

## Member Function Documentation

void OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::timesMajor | ( | const double * | x,
|  | double * | y |
| ) |  |  | const

## Member Data Documentation

int OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::majorDim_`[private]`

Definition at line 30 of file OsiVolSolverInterface.hpp.

int OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::minorDim_`[private]`

Definition at line 31 of file OsiVolSolverInterface.hpp.

int OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::plusSize_`[private]`

Definition at line 33 of file OsiVolSolverInterface.hpp.

int* OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::plusInd_`[private]`

Definition at line 34 of file OsiVolSolverInterface.hpp.

int* OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::plusStart_`[private]`

Definition at line 35 of file OsiVolSolverInterface.hpp.

int* OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::plusLength_`[private]`

Definition at line 36 of file OsiVolSolverInterface.hpp.

int OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::minusSize_`[private]`

Definition at line 38 of file OsiVolSolverInterface.hpp.

int* OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::minusInd_`[private]`

Definition at line 39 of file OsiVolSolverInterface.hpp.

int* OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::minusStart_`[private]`

Definition at line 40 of file OsiVolSolverInterface.hpp.

int* OsiVolSolverInterface::OsiVolMatrixOneMinusOne_::minusLength_`[private]`

Definition at line 41 of file OsiVolSolverInterface.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Osi/src/OsiVol/OsiVolSolverInterface.hpp